# Quizzes Service

A service for simple interactive quizzes.

Service allows to solve several quizzes. Each quiz is identified by unique ID.

## Public API

### GET /QUIZ_ID/embed/

HTML page with interactive quiz. It is intended to be embedded inside *iframe*.

### GET /embed.js?id=QUIZ_ID

Script that inserts quiz iframe inside *div#it4ktQuiz* element.

## Private API

### PUT /QUIZ_ID

Upload new quiz question with specified ID. XML file representing quiz must be
sent as file upload form field named *quiz*.

Example usage

    curl -X PUT -F quiz=@quiz.xml http://127.0.0.1:5000/quiz1

## Quiz XML Format

Quiz file must contain a single *quiz* element with a *title* subelement.
Inside a *quiz* several *question* elements should be placed. Each *question*
must contain a question text and an answer inside *answer* element.

    <quiz>
        <title>Title</title>
        <question>
            Question 1
            <answer>answer</answer>
        </question>
        <question>
            Question 2
            <answer>answer</answer>
        </question>
    </quiz>

Questions can be explicitly divided into levels by inserting *question*
elements in *level* elements. In such case, *quiz* cannot contain *questions*
directly.

    <quiz>
        <title>Title</title>
        <level>
            <question>
                Question 1
                <answer>answer</answer>
            </question>
            <question>
                Question 2
                <answer>answer</answer>
            </question>
        </level>
        <level>
           ...
        </level>
    </quiz>
